<?php

  class pz_sgbd
  {
    var $sgbd_impl;
    var $env;

    function __construct($sgbd_impl, $env)
    { $this->pz_sgbd($sgbd_impl, $env);
    }

    function pz_sgbd($sgbd_impl, $env)
    { $this->sgbd_impl = $sgbd_impl;
      $this->env = $env;
    }

    function extention_ok() { return $this->sgbd_impl->EXTENTION_OK; }

    function connect($host, $base, $user, $password)
    { return $this->sgbd_impl->connect($host, $base, $user, $password);
    }

    function select_db($db_name)
    { return $this->sgbd_impl->select_db($db_name);
    }

    function query($sql)
    { return $this->sgbd_impl->query
      ( ($prefix_codes = array_keys($this->env->bdd("table_prefix"))) ?
          str_replace($prefix_codes, array_values($this->env->bdd("table_prefix")), $sql)
        : $sql
      );
    }

    function insert_id()
    { return $this->sgbd_impl->insert_id();
    }

    function fetch_assoc($rst)
    { return $this->sgbd_impl->fetch_assoc($rst);
    }

    function free_result($rst)
    { return $this->sgbd_impl->free_result($rst);
    }

    function close()
    { return $this->sgbd_impl->close();
    }

  }

?>